<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode NOP</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="NEG.htm"> NEG Two's Complement Negation</A><BR><B>next:</B><A HREF="NOT.htm"> NOT One's Complement Negation</A><P><HR><P><H1>NOP -- No Operation</H1><PRE>
Opcode  Instruction   Clocks    Description

90      NOP           3         No operation

</PRE><H2>Description</H2>NOP performs no operation. NOP is a one-byte instruction that takes up space but affects none of the machine context except (E)IP.<P>NOP is an alias mnemonic for the <A HREF="XCHG.htm">XCHG</A> (E)AX, (E)AX instruction.<H2>Flags Affected</H2>None<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="NEG.htm"> NEG Two's Complement Negation</A><BR><B>next:</B><A HREF="NOT.htm"> NOT One's Complement Negation</A> </BODY>